org.eclipse.microprofile.fault.tolerance.tck.metrics

## Class RetryMetricBean.NonRetryableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.microprofile.fault.tolerance.tck.metrics.RetryMetricBean.NonRetryableException

All Implemented Interfaces:
  Serializable

Enclosing class:
  RetryMetricBean

    public static class RetryMetricBean.NonRetryableException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NonRetryableException()`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NonRetryableException

    public NonRetryableException()